Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.actions
Class CopyFilesAndFoldersOperation

    java.lang.Object
      org.eclipse.ui.actions.CopyFilesAndFoldersOperation

Direct Known Subclasses:
  MoveFilesAndFoldersOperation

public class CopyFilesAndFoldersOperation
extends Object

Perform the copy of file and folder resources from the clipboard when paste action is invoked.

This class may be instantiated; it is not intended to be subclassed.

Constructor Summary
`CopyFilesAndFoldersOperation(Shell shell)` Creates a new operation initialized with a shell.

Method Summary
`protected boolean` | `canPerformAutoRename()` Returns whether this operation is able to perform on-the-fly auto-renaming of resources with name collisions.
`protected void` | `copy(IResource[] resources, IPath destination, IProgressMonitor subMonitor)` Copies the resources to the given destination.
`void` | `copyFiles(String[] fileNames, IContainer destination)` Copies the given files and folders to the destination.
`IResource[]` | `copyResources(IResource[] resources, IContainer destination)` Copies the given resources to the destination.
`protected String` | `getDeepCheckQuestion(IResource source)` Returns the message for querying deep copy/move of a linked resource.
`protected IFile` | `getFile(IResource resource)` Returns the resource either casted to or adapted to an IFile.
`protected File[]` | `getFiles(String[] fileNames)` Returns java.io.File objects for the given file names.
`protected IFolder` | `getFolder(IResource resource)` Returns the resource either casted to or adapted to an IFolder.
`protected String` | `getOperationTitle()` Returns the task title for this operation's progress dialog.
`protected String` | `getProblemsMessage()` Returns the message for this operation's problems dialog.
`protected String` | `getProblemsTitle()` Returns the title for this operation's problems dialog.
`protected boolean` | `getValidateConflictSource()` Returns whether the source file in a destination collision will be validateEdited together with the collision itself.
`protected boolean` | `homogenousResources(IResource source, IResource destination)` Returns whether the given resources are either both linked or both unlinked.
`String` | `validateDestination(IContainer destination, IResource[] sourceResources)` Checks whether the destination is valid for copying the source resources.
`String` | `validateImportDestination(IContainer destination, String[] sourceNames)` Checks whether the destination is valid for copying the source files.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CopyFilesAndFoldersOperation

    public CopyFilesAndFoldersOperation(Shell shell)

  Creates a new operation initialized with a shell.

Parameters:
  `shell` - parent shell for error dialogs

Method Detail

### canPerformAutoRename

    protected boolean canPerformAutoRename()

  Returns whether this operation is able to perform on-the-fly auto-renaming of resources with name collisions.

  Returns:
    `true` if auto-rename is supported, and `false` otherwise

### getDeepCheckQuestion

    protected String getDeepCheckQuestion(IResource source)

  Returns the message for querying deep copy/move of a linked resource.

  Parameters:
    `source` - resource the query is made for
  Returns:
    the deep query message

### copy

    protected void copy(IResource[] resources,
                        IPath destination,
                        IProgressMonitor subMonitor)
                 throws CoreException

  Copies the resources to the given destination. This method is called recursively to merge folders during folder copy.

  Parameters:
    `resources` - the resources to copy
    `destination` - destination to which resources will be copied
    `subMonitor` - a progress monitor for showing progress and for cancelation
  Throws:
    `CoreException`

### copyResources

    public IResource[] copyResources(IResource[] resources,
                                     IContainer destination)

  Copies the given resources to the destination.

  Parameters:
    `resources` - the resources to copy
    `destination` - destination to which resources will be copied

### copyFiles

    public void copyFiles(String[] fileNames,
                          IContainer destination)

  Copies the given files and folders to the destination.

  Parameters:
    `fileNames` - names of the files to copy
    `destination` - destination to which files will be copied

### getFile

    protected IFile getFile(IResource resource)

  Returns the resource either casted to or adapted to an IFile.

  Parameters:
    `resource` - resource to cast/adapt
  Returns:
    the resource either casted to or adapted to an IFile. `null` if the resource does not adapt to IFile

### getFiles

    protected File[] getFiles(String[] fileNames)

  Returns java.io.File objects for the given file names.

  Parameters:
    `fileNames` - files to return File object for.
  Returns:
    java.io.File objects for the given file names.

### getFolder

    protected IFolder getFolder(IResource resource)

  Returns the resource either casted to or adapted to an IFolder.

  Parameters:
    `resource` - resource to cast/adapt
  Returns:
    the resource either casted to or adapted to an IFolder. `null` if the resource does not adapt to IFolder

### getOperationTitle

    protected String getOperationTitle()

  Returns the task title for this operation's progress dialog.

  Returns:
    the task title

### getProblemsMessage

    protected String getProblemsMessage()

  Returns the message for this operation's problems dialog.

  Returns:
    the problems message

### getProblemsTitle

    protected String getProblemsTitle()

  Returns the title for this operation's problems dialog.

  Returns:
    the problems dialog title

### getValidateConflictSource

    protected boolean getValidateConflictSource()

  Returns whether the source file in a destination collision will be validateEdited together with the collision itself. Returns false. Should return true if the source file is to be deleted after the operation.

  Returns:
    boolean `true` if the source file in a destination collision should be validateEdited. `false` if only the destination should be validated.

### homogenousResources

    protected boolean homogenousResources(IResource source,
                                          IResource destination)

  Returns whether the given resources are either both linked or both unlinked.

  Parameters:
    `source` - source resource
    `destination` - destination resource
  Returns:
    boolean `true` if both resources are either linked or unlinked. `false` otherwise.

### validateDestination

    public String validateDestination(IContainer destination,
                                      IResource[] sourceResources)

  Checks whether the destination is valid for copying the source resources.

  Note this method is for internal use only. It is not API.

  Parameters:
    `destination` - the destination container
    `sourceResources` - the source resources
  Returns:
    an error message, or `null` if the path is valid

### validateImportDestination

    public String validateImportDestination(IContainer destination,
                                            String[] sourceNames)

  Checks whether the destination is valid for copying the source files.

  Note this method is for internal use only. It is not API.

  Parameters:
    `destination` - the destination container
    `sourceNames` - the source file names
  Returns:
    an error message, or `null` if the path is valid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.